import json
import sys, os
from functools import wraps
sys.path.append(os.path.join(os.path.dirname(__file__), '..'))
import core.logger as logger
log = logger.get_logger()
sys.path.append(os.path.dirname(__file__))
from .base import BaseConfig, AutoInstanceDecorator
from .dirs import CheckDirAliasDecorator
from .common import *

# 定义配置类
@AutoInstanceDecorator
class ConfigList(BaseConfig):
    """支持的配置列表
    """
    _config = []

@AutoInstanceDecorator
@CheckDirAliasDecorator
class MiReleaseList(BaseConfig):
    """MI release 列表
    """
    _config = []

@AutoInstanceDecorator
@CheckDirAliasDecorator
class MhalReleaseList(BaseConfig):
    """MHAL release 列表
    """
    _config = []

@AutoInstanceDecorator
@CheckDirAliasDecorator
class RtosReleaseList(BaseConfig):
    """RTOS release 列表
    """
    _config = []

@AutoInstanceDecorator
@CheckDirAliasDecorator
class PmRtosReleaseList(BaseConfig):
    """PM RTOS release 列表
    """
    _config = []
